package com.jasamedika.medifirst2000.vo;

import javax.persistence.*;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class MapObjekModulToKelompokUserVO extends BaseMasterVO {
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Object Kelompok User")
	private KelompokUserVO kelompokUser;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "Object Objek Modul Aplikasi")
	private ObjekModulAplikasiVO objekModulAplikasi;

	@Caption(value = "Simpan")
	private Boolean simpan;
	
	@Caption(value = "Hapus")
	private Boolean hapus;

	@Caption(value = "Edit")
	private Boolean edit;
	
	@Caption(value = "Cetak")
	private Boolean cetak;

	public KelompokUserVO getKelompokUser() {
		return kelompokUser;
	}

	public void setKelompokUser(KelompokUserVO kelompokUser) {
		this.kelompokUser = kelompokUser;
	}

	public ObjekModulAplikasiVO getObjekModulAplikasi() {
		return objekModulAplikasi;
	}

	public void setObjekModulAplikasi(ObjekModulAplikasiVO objekModulAplikasi) {
		this.objekModulAplikasi = objekModulAplikasi;
	}

	public Boolean getSimpan() {
		return simpan;
	}

	public void setSimpan(Boolean simpan) {
		this.simpan = simpan;
	}

	public Boolean getHapus() {
		return hapus;
	}

	public void setHapus(Boolean hapus) {
		this.hapus = hapus;
	}

	public Boolean getEdit() {
		return edit;
	}

	public void setEdit(Boolean edit) {
		this.edit = edit;
	}

	public Boolean getCetak() {
		return cetak;
	}

	public void setCetak(Boolean cetak) {
		this.cetak = cetak;
	}

}

